%{?mingw_package_header}

Name:           mingw-usbredir
Version:        0.6
Release:        4%{?dist}
Summary:        MinGW USB network redirection protocol libraries

License:        LGPLv2+
URL:            http://spice-space.org/page/UsbRedir
Source0:        http://spice-space.org/download/usbredir/usbredir-%{version}.tar.bz2
Patch1:         0001-Properly-declare-C-symbols.patch
Patch2:         0002-Don-t-export-glibc_-symbols.patch

BuildArch:      noarch
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-libusbx >= 1.0.9
BuildRequires:  mingw64-libusbx >= 1.0.9

%description
The usbredir libraries allow USB devices to be used on remote and/or virtual
hosts over TCP.  The following libraries are provided:

usbredirparser:
A library containing the parser for the usbredir protocol

usbredirhost:
A library implementing the USB host side of a usbredir connection.
All that an application wishing to implement a USB host needs to do is:
* Provide a libusb device handle for the device
* Provide write and read callbacks for the actual transport of usbredir data
* Monitor for usbredir and libusb read/write events and call their handlers

%package -n mingw32-usbredir
Summary:        MinGW USB network redirection protocol libraries
Requires:       pkgconfig

%description -n mingw32-usbredir
This package contains the header files and libraries needed to develop
applications that use usbredir with MinGW.

%package -n mingw32-usbredir-static
Summary:        MinGW USB network redirection protocol static libraries
Requires:       mingw32-usbredir = %{version}-%{release}

%description -n mingw32-usbredir-static
This package contains the static libraries needed to develop
applications that use usbredir with MinGW.

%package -n mingw64-usbredir
Summary:        MinGW USB network redirection protocol libraries
Requires:       pkgconfig

%description -n mingw64-usbredir
This package contains the header files and libraries needed to develop
applications that use usbredir with MinGW.

%package -n mingw64-usbredir-static
Summary:        MinGW USB network redirection protocol static libraries
Requires:       mingw64-usbredir = %{version}-%{release}

%description -n mingw64-usbredir-static
This package contains the static libraries needed to develop
applications that use usbredir with MinGW.

%{?mingw_debug_package}


%prep
%setup -q -n usbredir-%{version}
%patch1 -p1
%patch2 -p1

%build
%mingw_configure
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make_install "DESTDIR=$RPM_BUILD_ROOT"

# Libtool files don't need to be bundled
find $RPM_BUILD_ROOT -name "*.la" -delete


%files -n mingw32-usbredir
%doc ChangeLog COPYING.LIB README TODO
%{mingw32_bindir}/libusbredirhost-1.dll
%{mingw32_bindir}/libusbredirparser-1.dll
%{mingw32_libdir}/libusbredirhost.dll.a
%{mingw32_libdir}/libusbredirparser.dll.a
%{mingw32_includedir}/usbredirfilter.h
%{mingw32_includedir}/usbredirhost.h
%{mingw32_includedir}/usbredirparser.h
%{mingw32_includedir}/usbredirproto.h
%{mingw32_libdir}/pkgconfig/libusbredirhost.pc
%{mingw32_libdir}/pkgconfig/libusbredirparser-0.5.pc

%files -n mingw32-usbredir-static
%{mingw32_libdir}/libusbredirhost.a
%{mingw32_libdir}/libusbredirparser.a

%files -n mingw64-usbredir
%doc ChangeLog COPYING.LIB README TODO
%{mingw64_bindir}/libusbredirhost-1.dll
%{mingw64_bindir}/libusbredirparser-1.dll
%{mingw64_libdir}/libusbredirhost.dll.a
%{mingw64_libdir}/libusbredirparser.dll.a
%{mingw64_includedir}/usbredirfilter.h
%{mingw64_includedir}/usbredirhost.h
%{mingw64_includedir}/usbredirparser.h
%{mingw64_includedir}/usbredirproto.h
%{mingw64_libdir}/pkgconfig/libusbredirhost.pc
%{mingw64_libdir}/pkgconfig/libusbredirparser-0.5.pc

%files -n mingw64-usbredir-static
%{mingw64_libdir}/libusbredirhost.a
%{mingw64_libdir}/libusbredirparser.a


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 10 2013 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.6-2
- Fix some C symbols export

* Tue Jul  9 2013 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.6-1
- Update to upstream 0.6

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.5.2-1
- Update to upstream 0.5.2

* Mon May 21 2012 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.4.3-1
- Initial Fedora MinGW package
